# Firebird configuration file for Firebird 3.0 64-bit SuperClassic, by IBSurgeon (www.ib-aid.com), released March 23, 2020
# This is an optimized configuration for Firebird 3.0 SuperClassic 64 bit, it can be used
# instead of standard firebird.conf from 3.0 distribution for small and moderate loaded servers.


##############  Important! Limits ! ###############
##############  If you have more than 300 total connections for all databases
##############  and less than 16Gb of RAM, don't use this configuration!
#######################################################################


###########   HOW TO APPLY this Firebird Configuration   ############
###    1. Run gstat -h  databasename and ensure that Page Buffers = 0 - for every database.
###    2. Check databases.conf - it should not override parameters, until you know what you do
###    3. Copy this firebird.conf to Firebird folder, rename it to firebird.conf, then restart Firebird 
###      (all users should be disconnected before restart!). Keep old config as a backup!
################################################################

# Any questions? Contact us: support@ib-aid.com


ServerMode = SuperClassic
DefaultDbCachePages = 1500
FileSystemCacheThreshold = 2M
TempBlockSize = 2M
TempCacheLimit = 3000M
AuthServer = Legacy_Auth, Srp, Win_Sspi
AuthClient = Legacy_Auth, Srp, Win_Sspi
UserManager = Legacy_UserManager, Srp
WireCrypt = Enabled 
RemoteServicePort = 3050
LockMemSize = 40M
LockHashSlots = 49999


###############  Parameters below are too specific for common tuning ############

#DatabaseAccess = Full
#RemoteAccess = true
#ExternalFileAccess = None
#UdfAccess = Restrict UDF
#TempDirectories =
#AuditTraceConfigFile =
#MaxUserTraceLogSize = 10
#DatabaseGrowthIncrement = 128M
#FileSystemCacheSize = 0
#RemoteFileOpenAbility = 0
#CryptPlugin = Arc4
#KeyHolderPlugin =
#Providers = Remote,Engine12,Loopback
#DeadlockTimeout = 10
#MaxUnflushedWrites = 100
#MaxUnflushedWriteTime = 5
#BugcheckAbort = 0
#RelaxedAliasChecking = 0
#ConnectionTimeout = 180
#(for client) / Required (for server)
#DummyPacketInterval = 0
#RemoteServiceName = gds_db
#RemoteAuxPort = 0
#TcpRemoteBufferSize = 8192
#TcpNoNagle = 1
#RemoteBindAddress =
#LockAcquireSpins = 0
#EventMemSize = 64K
#CpuAffinityMask = 0
#GCPolicy = combined
#SecurityDatabase = $(dir_secDb)/security3.fdb
#GuardianOption = 1
#ProcessPriorityLevel = 0
#IpcName = FIREBIRD
#RemotePipeName = interbas
